- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchDelete.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchDelete.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchDelete.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchDelete.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchDelete.md.txt#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchDelete.md.txt#body.aspect)
- [DeleteOneTimeProductOfferRequest](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchDelete.md.txt#DeleteOneTimeProductOfferRequest)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchDelete.md.txt#DeleteOneTimeProductOfferRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchDelete.md.txt#try-it)

Deletes one or more one-time product offers.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/oneTimeProducts/{productId}/purchaseOptions/{purchaseOptionId}/offers:batchDelete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) of the offers to delete. Must be equal to the packageName field on all the requests. |
| `productId` | `string` Required. The product ID of the parent one-time product, if all offers to delete belong to the same product. If this request spans multiple one-time products, set this field to "-". |
| `purchaseOptionId` | `string` Required. The parent purchase option (ID) for which the offers should be deleted. May be specified as '-' to delete offers from multiple purchase options. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`DeleteOneTimeProductOfferRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`DeleteOneTimeProductOfferRequest`)`` Required. A list of delete requests of up to 100 elements. All requests must correspond to different offers. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## DeleteOneTimeProductOfferRequest

Request message for deleting an one-time product offer.

| JSON representation |
|---|
| ``` { "packageName": string, "productId": string, "purchaseOptionId": string, "offerId": string, "latencyTolerance": enum (`ProductUpdateLatencyTolerance`) } ``` |

| Fields ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) of the offer to delete. |
| `productId` | `string` Required. The parent one-time product (ID) of the offer to delete. |
| `purchaseOptionId` | `string` Required. The parent purchase option (ID) of the offer to delete. |
| `offerId` | `string` Required. The unique offer ID of the offer to delete. |
| `latencyTolerance` | ``enum (`ProductUpdateLatencyTolerance`)`` Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive. |